Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class ClosestRegrTest

    java.lang.Object
      rice.pastry.testing.ClosestRegrTest

public class ClosestRegrTest
extends java.lang.Object

ClosestRegrTest A test suite for the getClosest algorithm

Version:
  $Id: ClosestRegrTest.java,v 1.3 2005/03/11 00:57:57 jeffh Exp $
Author:
  alan mislove

Field Summary
`static int` | `NUM_NODES` DESCRIBE THE FIELD
`static int` | `NUM_TRIALS` DESCRIBE THE FIELD

Method Summary
`protected NodeHandle` | `getBootstrap()` Get pastryNodes.last() to bootstrap with, or return null.
`static void` | `main(java.lang.String[] args)` main
`protected void` | `run()` initializes the network and prepares for testing
`protected void` | `test(int i, NodeHandle handle)` starts the testing process

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_NODES

    public static int NUM_NODES

  DESCRIBE THE FIELD

### NUM_TRIALS

    public static int NUM_TRIALS

  DESCRIBE THE FIELD

Method Detail

### getBootstrap

    protected NodeHandle getBootstrap()

  Get pastryNodes.last() to bootstrap with, or return null.

  Returns:
    The Bootstrap value

### run

    protected void run()

  initializes the network and prepares for testing

### test

    protected void test(int i,
                        NodeHandle handle)

  starts the testing process

  Parameters:
    `i` - DESCRIBE THE PARAMETER
    `handle` - DESCRIBE THE PARAMETER

### main

    public static void main(java.lang.String[] args)

  main

  Parameters:
    `args` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.